Package org.apache.avro.idl

# Class IdlParser.JsonPairContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.avro.idl.IdlParser.JsonPairContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`

Enclosing class:
  `IdlParser`

public static class IdlParser.JsonPairContext extends org.antlr.v4.runtime.ParserRuleContext

## Field Summary

Fields
Modifier and Type
Field
Description
`org.antlr.v4.runtime.Token`
`name`
`IdlParser.JsonValueContext`
`value`

### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

`children, EMPTY, exception, start, stop`

### Fields inherited from class org.antlr.v4.runtime.RuleContext

`invokingState, parent`

## Constructor Summary

Constructors
Constructor
Description
`JsonPairContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

## Method Summary

Modifier and Type
Method
Description
`org.antlr.v4.runtime.tree.TerminalNode`
`Colon()`
`void`
`enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`void`
`exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`int`
`getRuleIndex()`
`IdlParser.JsonValueContext`
`jsonValue()`
`org.antlr.v4.runtime.tree.TerminalNode`
`StringLiteral()`

### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

`addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

### Methods inherited from class org.antlr.v4.runtime.RuleContext

`accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public org.antlr.v4.runtime.Token name

### value

public IdlParser.JsonValueContext value

## Constructor Details

### JsonPairContext

public JsonPairContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

## Method Details

### Colon

public org.antlr.v4.runtime.tree.TerminalNode Colon()

### StringLiteral

public org.antlr.v4.runtime.tree.TerminalNode StringLiteral()

### jsonValue

public IdlParser.JsonValueContext jsonValue()

### getRuleIndex

public int getRuleIndex()

Overrides:
  `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

### enterRule

public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

### exitRule

public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`